--- title: "Message trace information request" slug: "message-trace-information-request" tags: ["Reference", "Email Security - Cloud", "Customer", "Cloud Security"] updated: 2026-09-04T19:23:14Z published: 2026-09-04T19:23:14Z canonical: "docs.trellix.com/message-trace-information-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Message trace information request Returns the attributes of a particular message with the specified Email Security — Cloud message ID. `GET https://<etp_instance_addr>/api/v1/messages/<etp_message_id>` `GET https://<etp_instance_addr>/api/v1/messages/<etp_message_id>?traffic_type=outbound` **Required header:** `x-fireeye-api-key: <key>`—Specifies your personal API key. ### Options - `etp_message_id`—The ID of the Email Security — Cloud message. - `traffic_type`—Traffic type defaults to inbound. To handle outbound traffic, set the traffic_type parameter to outbound. ### Example of an inbound request Values for ID and other fields are for illustration purposes only. `GET https://etp.us.fireeye.com/api/messages/7G5IeqTT39DVw7G5Ie3sDM` ### Message trace information inbound response ``` {  "data": [    {      "attributes": {        "acceptedDateTime": "2019-08-07T10:54:54.000",        "countryCode": "us",        "domain": "test1.ad.etp-testdomain5.com",        "downStreamMsgID": "250 2.0.0 Ok: queued as ACBA05B3C",        "emailSize": 0.52,        "lastModifiedDateTime": "2019-08-07T11:05:15.774",        "originalMessageID": "\u003c20190807162453.092921@JDEORE-MBP\u003e",        "recipientHeader": [          "avishek@test1.ad.etp-testdomain5.com"        ],        "recipientSMTP": [          "avishek@test1.ad.etp-testdomain5.com"        ],        "senderHeader": "avishek@fireeyeqa.com",        "senderSMTP": "avishek@fireeyeqa.com",        "senderIP": "199.16.196.4",        "status": "delivered",        "subject": "clean-green -85",        "verdicts": {          "AS": "pass",          "AV": "pass",          "AT": "pass",          "PV": "pass",          "YARA": "pass",          "ActionYARA": "no match"        }        "customRuleNames": [          "Modify subject"        ]      },      "included": [        {          "type": "domain",          "attributes": {            "name": "test1.ad.etp-testdomain5.com"          }        }      ],      "id": "6B6C557623E5BACB5ed800712",      "type": "trace"    }  ],  "meta": {    "total": 1,    "copyright": "Copyright 2019 Fireeye Inc"  } }         ``` ### Example of an outbound trace request Values for ID and other fields are for illustration purposes only. `GET https://etp.us.fireeye.com/messages/5484038728A77ECF53100484e?traffic_type=outbound` ### Message trace information outbound response ``` {    "data": [        {            "attributes": {                "acceptedDateTime": "2020-12-07T18:42:48.000",                "attachments": 1,                "countryCode": "us",                "domain": "acrob5.testdomain.etp-testdomain5.com",                "downStreamMsgID": "250 2.0.0 71FD06556BA77ECF55d49e4a8 mail accepted for delivery",                "emailSize": 4.86,                "lastModifiedDateTime": "2020-12-07T18:42:51.952",                "originalMessageID": "<20201207184248.000722@7d4901a2de41>",                "recipientHeader": [                    "qt_report_user2@musubi1.etp-testdomain5.com"                ],                "recipientSMTP": [                    "qt_report_user2@musubi1.etp-testdomain5.com"                ],                "senderHeader": "cus_sender_attach_vgerh_10@acrob5.testdomain.etp-testdomain5.com",                "senderSMTP": "cus_sender_attach_vgerh_10@acrob5.testdomain.etp-testdomain5.com",                "senderIP": "199.16.196.4",                "status": "delivered",                "subject": "KQXTX_CustomRule_test-cleanmail",                "verdicts": {                    "AS": "pass",                    "AV": "pass",                    "AT": "pass",                    "PV": "pass",                    "YARA": "",                    "ActionYARA": ""                }                "customRuleNames": [                    "Modify Subject"                ]            },            "included": [                {                    "type": "domain",                    "attributes": {                        "name": "acrob5.testdomain.etp-testdomain5.com"                    }                }            ],            "id": "5484038728A77ECF53100484e",            "type": "trace"        }    ],    "meta": {        "total": 1,        "copyright": "Copyright 2021 FireEye Inc"    } }                 ``` ### cURL code example: message trace information `curl -X GET -H "Content-Type: application/json" -H "x-fireeye-api-key: xxxxxxxxxxxxxxxxxxx" https://etp.us.fireeye.com/api/v1/messages/Xf9bej8gwRENfXf9ceYeGi` This cURL sample includes the following options: - `-X GET`—This option changes the HTTP method to GET. - `-H "Content-Type: application/json"`—This header specifies that the server's response body is expected to be in JSON format. - `-H 'x-fireeye-api-key: xxxxxxxxxxxxxxx'`—This header specifies your personal API key. - `https://etp.us.fireeye.com/v1/messages/Xf9bej8gwRENfXf9ceYeGi`—The message request URL. Replace `etp.us.fireeye.com` with the address of your Email Security — Cloud instance, and `Xf9bej8gwRENfXf9ceYeGi` with your message ID.